////////////////////////////////////////////////////////////////////////////////
//3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
//      10        20        30        40        50        60        70        80
//
// gl-particles
//
// particle.h - header for all the particle handling
//
// Authors/Copyright 2009:
//    Mirco "MacSlow" Müller <macslow@bangang.de>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranties of
// MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program.  If not, see <http://www.gnu.org/licenses/>.
//
////////////////////////////////////////////////////////////////////////////////

#ifndef _PARTICLE_H
#define _PARTICLE_H

#include <glib.h>

typedef struct _Particle
{
	gdouble position[3];
	gdouble direction[3];
	gdouble speed;
	gdouble age;
	gdouble lifetime;
} Particle;

Particle*
particle_create (gdouble* position,
		 gdouble* direction,
		 gdouble  speed,
		 gdouble  lifetime);

gboolean
particle_update (Particle* particle);

gboolean
particle_destroy (Particle* particle);

#endif // _PARTICLE_H

